dots.v2.customers.my.billing_history.get()

Generated on 5 Nov 2026 from DoTs version v1.23.0

Usage

client.v2.customers.my.billing_history.get(requestConfiguration?: RequestConfiguration<object>): Promise<undefined | Billing_historyGetResponse>

Description

To retrieve a list of all billing history entries, send a GET request to /v2/customers/my/billing_history.

Request Sample

Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

const response = await client.v2.customers.my.billing_history.get();

Response Example

Show Response Example
{
  "billing_history": [
    {
      "description": "Invoice for May 2018",
      "amount": "12.34",
      "invoice_id": "123",
      "invoice_uuid": "example-uuid",
      "date": "2018-06-01T08:44:38Z",
      "type": "Invoice"
    },
    {
      "description": "Payment (MC 2018)",
      "amount": "-12.34",
      "date": "2018-06-02T08:44:38Z",
      "type": "Payment"
    }
  ],
  "links": {
    "pages": {
      "next": "https://api.digitalocean.com/v2/customers/my/billing_history?page=2&per_page=2",
      "last": "https://api.digitalocean.com/v2/customers/my/billing_history?page=3&per_page=2"
    }
  },
  "meta": {
    "total": 5
  }
}

More Information

See /v2/customers/my/billing_history in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.